Subject: Re: bug#20960: handling /etc/ssl/certs/ca-bundle.crt by default in emacs

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 13 Apr 2022 02:30:23 +0200

Petr Hracek <[email-masked]> writes:

> I have a question to upstream whether CA directory
> could be handled by upstream by default?
>
> (setq smime-CA-directory "/etc/ssl/certs/ca-bundle.crt")
>
> Or may be how it could be done by emacs packaging in Fedora?

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

In Emacs 29, I've made smime-CA-file default to the value from
`gnutls-trustfiles', so that this should basically work out of the box
on most systems now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no